// Exported Saver Interface. Design by Hirosi Lockheimer

#pragma once
#pragma export on
extern "C" {
extern void	module_initialize(void*, long);
extern void	module_cleanup(void**, long*);
extern void module_start_config(BView*);
extern void module_stop_config();
extern void	module_start_saving(BView*);
extern void	module_stop_saving();
}
#pragma export reset


// inline functions
inline void WritePixel(char *fb, int x, int y, int c, int w)
{
	fb[y * w + x] = c;
}

inline int ReadPixel(char *fb, int x, int y, int w)
{
	return fb[y * w + x];
}

inline void ClearScreen(char *fb, int wi, int hi, int col = 0)
{
	for (int i = 0; i < wi * hi; i++)
		fb[i] = col;
}


struct Settings
{
	int cycle_speed;		// 1 ... 5
	int drawing_gap;		// 0 ... 10 sec
	int drawing_speed;		// 1 ... 9
};

extern Settings *settings;




